**Source URL:** https://general.veevavault.dev/regulatory/vault-api/api-reference/26.1/documents/document-renditions/replace-document-version-rendition.md

# Replace Document Version Rendition



<Endpoint path="/api/{version}/objects/documents/{doc_id}/versions/{major_version}/{minor_version}/renditions/{rendition_type}" method="PUT"></Endpoint>

## Headers {#headers}

| Name | Description |
| --- | --- |
| `Content-Type` | `multipart/form-data` |
| `Accept` | `application/json` (default) or `application/xml` |

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{doc_id}` | The document `id` field value. |
| `{major_version}` | The document `major_version_number__v` field value. |
| `{minor_version}` | The document `minor_version_number__v` field value. |
| `{rendition_type}` | The document rendition type. |
</FieldTable>

#### File Upload {#file-upload}

To upload the file, use the multi-part attachment with the file component `"file={file_name}"`. The maximum allowed file size is 4GB.

## Request {#request}

<CodeExample title="">
```
curl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: multipart/form-data" \
-F "file=CholeCap-Document.pdf" \
https://myvault.veevavault.com/api/v15.0/objects/documents/534/versions/2/0/renditions/imported_rendition__c

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS"
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, Vault replaces the rendition of the given type for the specified version of the document.



---

**Previous:** [Replace Document Rendition](/regulatory/vault-api/api-reference/26.1/documents/document-renditions/replace-document-rendition)  
**Next:** [Delete Multiple Document Renditions](/regulatory/vault-api/api-reference/26.1/documents/document-renditions/delete-multiple-document-renditions)